From: Hemanth Kumar <hemanthkumar51@gmail.com>
To: linux-btrfs@vger.kernel.org, xfs@oss.sgi.com
Cc: chethan.casey@gmail.com, sandeen@redhat.com, sensille@gmx.net,
ganeshkumar14@gmail.com, praneethu.u@gmail.com,
bo.li.liu@oracle.com, skjmca51@gmail.com,
Hemanth Kumar <hemanthkumar51@gmail.com>,
kirantpatil@gmail.com
Subject: [test] btrfs quotas testing
Date: Fri, 15 Feb 2013 12:09:31 +0530 [thread overview]
Message-ID: <1360910371-3258-1-git-send-email-hemanthkumar51@gmail.com> (raw)
Signed-off-by: Hemanth Kumar <hemanthkumar51@gmail.com>
---
quota.sh | 23 +++++++++++++++++++++++
1 file changed, 23 insertions(+)
create mode 100644 quota.sh
diff --git a/quota.sh b/quota.sh
new file mode 100644
index 0000000..8b82bf9
--- /dev/null
+++ b/quota.sh
@@ -0,0 +1,23 @@
+#! /bin/bash
+# btrfs quotas test case
+#tmp=/sample
+status=1
+
+cleanup()
+{
+ btrfs subvolume delete $TEST_DIR/vol1
+}
+
+#trap "_cleanup ; exit \$status" 0 1 2 3 15
+
+btrfs quota enable $TEST_DIR
+echo "quota enabled on $TEST_DEV"
+btrfs subvolume create $TEST_DIR/vol1
+echo "vol1 created"
+btrfs qgroup show $TEST_DIR
+btrfs qgroup limit 2m $TEST_DIR/vol1
+echo "qgroup limited to 2mb"
+dd if=$TEST_DEV of=$TEST_DIR/vol1/file1 bs=3M count=1
+echo "tried to write 3m worth data"
+cleanup
+exit
--
1.8.1.2
_______________________________________________
xfs mailing list
xfs@oss.sgi.com
http://oss.sgi.com/mailman/listinfo/xfs
reply other threads:[~2013-02-15 6:39 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1360910371-3258-1-git-send-email-hemanthkumar51@gmail.com \
--to=hemanthkumar51@gmail.com \
--cc=bo.li.liu@oracle.com \
--cc=chethan.casey@gmail.com \
--cc=ganeshkumar14@gmail.com \
--cc=kirantpatil@gmail.com \
--cc=linux-btrfs@vger.kernel.org \
--cc=praneethu.u@gmail.com \
--cc=sandeen@redhat.com \
--cc=sensille@gmx.net \
--cc=skjmca51@gmail.com \
--cc=xfs@oss.sgi.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox